#include "colorrect2.h"
#include <QPainter>
#include <QPainterPath>

colorRect2::colorRect2(QColor color, QWidget *parent) : QWidget(parent)
{
    this->color = color;
}

void colorRect2::paintEvent(QPaintEvent *)
{
    QPainter painter(this);

    int w = width();
    int h = height();

    painter.setRenderHint(QPainter::Antialiasing, true);

    const int bound = 10;
    QPainterPath path;
    path.addRoundedRect(QRect(bound, bound, w-bound, h-bound), bound, bound);
    painter.fillPath(path, QBrush(color));
    painter.drawPath(path);
}
