#ifndef CAMVIDEOSURCEFACE_H
#define CAMVIDEOSURCEFACE_H

#include <QAbstractVideoSurface>

class CamVideoSurceface: public QAbstractVideoSurface{
    Q_OBJECT

public:
    CamVideoSurceface(QObject * parent=nullptr) : QAbstractVideoSurface(parent)
    {}

    QList<QVideoFrame::PixelFormat> supportedPixelFormats(
            QAbstractVideoBuffer::HandleType handleType) const override;


    bool present(const QVideoFrame& frame) override;

    //const QVideoSurfaceFormat _format;

signals:
    void ImgReceived(QImage Img);
};


#endif // CAMVIDEOSURCEFACE_H
