#ifndef CONTAINER_FILESPROCCESSING_H
#define CONTAINER_FILESPROCCESSING_H

#include "cont_nstfile.h"
#include <QThread>

class TFileProccessing: public QThread
{
    Q_OBJECT
signals:
    void FileProccessed(double TotalNumber, double Current);
    void AllDataLoaded(const TAbstractInfos *DataList);
    void DoAddBlanks(int Num);
    void UpdatePreview();
    void Error(QString component, QString msg);

private:
    enum WhatShallIDo {ActNone, ActSave, ActLoad};
    QString FileName;
    const TAbstractInfos *SavingData;

    TAbstractInfos *LoadingData;
    TNstFileHandler Nst;

    int Action;
    void run() override;
    void _Save();
    void _Load();
    void ConnectSlots();
public:
    TFileProccessing(QObject *Parent = nullptr): QThread(Parent) { Action = TFileProccessing::ActNone; SavingData = LoadingData = nullptr; ConnectSlots(); }
    ~TFileProccessing() override { delete SavingData; }

    void Load(const QString &File, TAbstractInfos *Dt);
    void Save(const QString &File, const TAbstractInfos *Dt);
};

#endif // CONTAINER_FILESPROCCESSING_H
