#ifndef SCHQTEXTEDIT_H
#define SCHQTEXTEDIT_H

#include <QTextEdit>
#include <QObject>
#include <QWidget>
#include <QEvent>
#include "abstractinoutlines.h"
#include "gui/edit.hpp"

class schQTextEdit : public QDoubleSpinBox, public AbstractInOutLines
{
public:
    schQTextEdit(QWidget *parent = nullptr);
    void updatePointsPosition();
    void recalcPoints() override;

protected:
    bool event(QEvent *) override;
};

#endif // SCHQTEXTEDIT_H
