#ifndef T3DCHOOSER_H
#define T3DCHOOSER_H

#include <QObject>
#include <QWidget>
#include <QLayout>
#include <3d/plot_3dplot.h>
#include <QPushButton>
#include "gui/qdoubleclickbutton.h"

class t3dChooser : public QWidget
{
    Q_OBJECT
public:
    explicit t3dChooser(plot::T3dPlot *t3d, QWidget *parent = nullptr);
    void setPositions(QList<QVariant> order);

    plot::T3dPlot *t3dPlot;
    QVBoxLayout *hMainLay;
    QVector<QDoubleClickButton*> *pButtons;

    //QVector<int> *numChannel;
    int currFullWindPlot = -1;
    QString checkedBtnStyle;

signals:
    void plotsChanged();

public slots:
    void buttonChecked(bool checked);
    void plotDoubleClicked();
};

#endif // T3DCHOOSER_H
