#ifndef FIXEDSPLITTER_H
#define FIXEDSPLITTER_H

#include <QObject>
#include <QWidget>
#include <QSplitter>

class FixedSplitter : public QSplitter
{
    Q_OBJECT
public:
    explicit FixedSplitter(QWidget *parent = nullptr);
    void addWidget(QWidget *widget);
    void insertWidget(int index, QWidget *widget);
    //QWidget *replaceWidget(int index, QWidget *widget);
    void MoveSplit(int width);

signals:

public slots:

protected:
    void resizeEvent(QResizeEvent *) override;
    bool event(QEvent *) override;
private:
    friend class QSplitterHandle;
    inline void setFixed();
};

#endif // FIXEDSPLITTER_H
