#ifndef IVIDEO_HPP
#define IVIDEO_HPP

using BYTE = unsigned char;
class QObject;
#include <QString>

class IVideo
{
public:
    virtual ~IVideo() = default;

    virtual void Start() = 0;
    virtual void Stop() = 0;
    virtual QString getName() = 0;

    virtual const QObject *getObject() = 0;
    //object signals: ImgReceived

    virtual bool openCamera() { return false; }
    virtual bool openCamera(int) { return openCamera(); }
    virtual void closeCamera() = 0;
};

#endif //IVIDEO_HPP
