#pragma once

#include "core/plot_core.h"

namespace ccd {
    class TSetOfSpectrum;
}

class TAbstractInfo
{
public:
    enum TypeOfInfo {Blank, _2d, _3d, _4d, _Image};

    void *Info;
    int InfoType;
    plot::TMetaStorage attributes;
    bool UpdatePreview;

    TAbstractInfo(void *SrcInfo = nullptr, int Type = TAbstractInfo::Blank) {
        UpdatePreview = false;
        Info = SrcInfo;
        InfoType = Type;
    }
};

typedef QVector<TAbstractInfo> TAbstractInfos;
