#ifndef SCH_H
#define SCH_H

#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QPaintEngine>

class schPlus : public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    explicit schPlus(QWidget *parent = nullptr);
    void recalcPoints() override;

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    inline void initPositions(int w, int h);
    int radius;

signals:

public slots:
};

#endif // SCH_H
