#ifndef INPUTGAINS_H
#define INPUTGAINS_H

#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QPaintEngine>
#include <QComboBox>
#include <QLabel>

class schInputGains : public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    explicit schInputGains(QWidget *parent = nullptr);
    void recalcPoints() override;

    QComboBox *cbDFL;
    QComboBox *cbLF;
    QComboBox *cbINT;
    int triangleY[3];
    int triangleW;
    int triangleH;
    int triangleCenterY;

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    int boxX;
    int boxY;
    int boxW;
    int boxH;
    QLabel *headText;
    inline void initPositions(int w, int h);
    inline void paint_triangle(QComboBox *cb, QPainter *painter, int x, int y, int w);

signals:


public slots:
};

#endif // INPUTGAINS_H
