#include "schqtextedit.h"

schQTextEdit::schQTextEdit(QWidget *parent) : QDoubleSpinBox(parent), AbstractInOutLines (1, 1)
{
    updatePointsPosition();
    setMaximum(99999);
    setMinimum(-99999);
}

void schQTextEdit::updatePointsPosition()
{
    setPtsInXY(0, 0, height()*0.5);
    setPtsOutXY(0, width(), height()*0.5);
}

void schQTextEdit::recalcPoints()
{
    updatePointsPosition();
}

bool schQTextEdit::event(QEvent *e)
{
    if (QEventResizedMoved(e))
        recalcPoints();

    return QDoubleSpinBox::event(e);
}
