#ifndef SCHZPIEZO_H
#define SCHZPIEZO_H

#include <QObject>
#include <QWidget>
#include "abstractinoutlines.h"
#include <QtEvents>
#include <QGestureEvent>
#include <QPainter>
#include <QDebug>
#include <QtGlobal>
#include <QTimer>
#include <QLabel>
#include <QPaintEngine>

class schZPiezo : public QWidget, public AbstractInOutLines
{
    Q_OBJECT
public:
    explicit schZPiezo(QWidget *parent = nullptr);
    void recalcPoints() override;

protected:
    bool event(QEvent *) override;
    void paintEvent(QPaintEvent *event) override;

private:
    inline void initPositions(int w, int h);
    //QLabel *piezoText;
    QLabel *XText;
    QLabel *YText;
    QLabel *ZText;
    int box1X;
    int box1Y;
    int box1W;
    int box1H;
    int box2X;
    int box2Y;
    int box2W;
    int box2H;
    QColor xColor;
    QColor yColor;
    QColor zColor;
    QColor tableColor;

signals:

public slots:
};

#endif // SCHZPIEZO_H
