#ifndef RELAY_H
#define RELAY_H

#include "modules.hpp"
#include <QObject>

class RelayModule : public QObject, public I_MODULE
{
    Q_OBJECT
public:
    static const QLatin1String name() { return QLatin1String("relay"); }
    void *basecast(const QLatin1String name) override { return name.latin1() != nullptr ? nullptr : static_cast<QObject *>(this); }

    int relayCount();
public slots:
    void enableAll();
    void disableAll();
};

#endif // RELAY_H
